These are chat archives for systemjs/systemjs

9th
Nov 2018
Guy Bedford
@guybedford
Nov 09 2018 00:47
The latest 0.21 should work
@carlosagsmendes whats on that error line?
carlosagsmendes
@carlosagsmendes
Nov 09 2018 10:14
Thank you @guybedford. I'm trying to update SystemJS to version 0.21.5 to see if the error goes away. I manually substituted the systemjs files inside the jspm_packages folder but then I get the following error
![alt](https://content.screencast.com/users/carlos.mendes/folders/Jing/media/b84bace8-272a-4ead-ac85-3d12056b82bd/2018-11-09_1015.png)
I'm using "jspm "0.16.53"
When it tries to fetch babel
It is fetching the npm package name ("npm:babel-core@5.8.38")
Apparently the paths section of the config is not being applied
System.config({
  baseURL: '/',
  transpiler: 'babel',
  babelOptions: {
    optional: ['runtime', 'optimisation.modules.system']
  },
  paths: {
    'github:*': 'jspm_packages/github/*',
    'npm:*': 'jspm_packages/npm/*'
  },
  defaultExtension: 'js',
Guy Bedford
@guybedford
Nov 09 2018 11:18
Ah yeah sorry I think jspm 0.16 is locked to older SystemJS because of the defaultJSExtensions configuration deprecation
@carlosagsmendes
carlosagsmendes
@carlosagsmendes
Nov 09 2018 11:22
So I cannot use 0.21.5 with it?
We have several transient errors apparently related to circular references and concurrency when loading dependencies . That's why I was trying to move to 0.21.5
carlosagsmendes
@carlosagsmendes
Nov 09 2018 15:22
@carlosagsmendes
So I cannot use 0.21.5 with it? We have several transient errors apparently related to circular references and concurrency when loading dependencies . That's why I was trying to move to 0.21.5. Should I consider upgrading to 0.17 instead @guybedford ?
Guy Bedford
@guybedford
Nov 09 2018 23:43
@carlosagmendes it’s hard to tell if these are loader errors or just circular execution semantics playing out correctly. Perhaps try and fine the root cause? I don’t recall any loader bugs there but it’s been a while. It’s not a specific browser right? It happens in all browsers consistently? There may be a way to refactor around the circular issue.